STRUCTS_TYPE_FLOAT(3)

NAME
structs_type_float, structs_type_double - structs types for floating point values

LIBRARY
PDEL Library (libpdel, -lpdel)

SYNOPSIS
#include <sys/types.h>
#include <pdel/structs/structs.h>
#include <pdel/structs/type/float.h>
extern const struct structs_type structs_type_float;
extern const struct structs_type structs_type_double;

DESCRIPTION
These are structs(3) types for floating point values stored in variables of type float and double.

The ASCII form of these types is as produced by printf(3) using the %g format.

SEE ALSO
libpdel(3), structs(3), structs_type(3)

HISTORY
The PDEL library was developed at Packet Design, LLC. http://www.packetdesign.com/

AUTHORS
Archie Cobbs <archie@packetdesign.com>

BUGS
These types do not correct for byte-order in the binary representation. Therefore, their binary representations are not necessarily byte-order independent.